<!-- Container-fluid starts-->
<div class="container-fluid">
    <div class="row">
        <div class="col-xl-3 col-md-6 xl-50">
            <div class="card o-hidden widget-cards">
                <div class="bg-warning card-body">
                    <div class="media static-top-widget row">
                        <div class="icons-widgets col-4">
                            <div class="align-self-center text-center">
                                <app-feather-icons [icon]="'users'" class="font-warning"></app-feather-icons>
                            </div>
                        </div>
                        <div class="media-body col-8"><span class="m-0">Buyers</span>
                            <h3 class="mb-0"> <span class="counter" [CountTo]="count1" [from]="0"
                                    [duration]="2">{{count1}}</span><small> This Total</small></h3>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="col-xl-3 col-md-6 xl-50">
            <div class="card o-hidden  widget-cards">
                <div class="bg-secondary card-body">
                    <div class="media static-top-widget row">
                        <div class="icons-widgets col-4">
                            <div class="align-self-center text-center">
                                <app-feather-icons [icon]="'box'" class="font-secondary"></app-feather-icons>
                            </div>
                        </div>
                        <div class="media-body col-8"><span class="m-0">Promotions</span>
                            <h3 class="mb-0"> <span class="counter" [CountTo]="count" [from]="0"
                                    [duration]="2">{{count}}</span><small> This Total</small></h3>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="col-xl-3 col-md-6 xl-50">
            <div class="card o-hidden widget-cards">
                <div *ngIf="testRole=='ADMIN'" class="bg-primary card-body">
                    <div class="media static-top-widget row">
                        <div class="icons-widgets col-4">
                            <div class="align-self-center text-center">
                                <app-feather-icons [icon]="'users'" class="font-primary"></app-feather-icons>
                            </div>
                        </div>

                        <div class="media-body col-8"><span class="m-0">Users</span>
                            <h3 class="mb-0"> <span class="counter" [CountTo]="count5" [from]="0"
                                    [duration]="2">{{count5}}</span><small> This total</small></h3>
                        </div>

                    </div>
                </div>
                <div *ngIf="testRole=='VENDEUR'" class="bg-primary card-body">
                    <div class="media static-top-widget row">
                        <div class="icons-widgets col-4">
                            <div class="align-self-center text-center">
                                <app-feather-icons [icon]="'dollar-sign'" class="font-primary"></app-feather-icons>
                            </div>
                        </div>

                        <div class="media-body col-8"><span class="m-0">Orders</span>
                            <h3 class="mb-0"> <span class="counter" [CountTo]="count4" [from]="0"
                                    [duration]="2">{{count4}}</span><small> This total</small></h3>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="col-xl-3 col-md-6 xl-50">
            <div class="card o-hidden widget-cards">
                <div class="bg-danger card-body">
                    <div class="media static-top-widget row">
                        <div class="icons-widgets col-4">
                            <div class="align-self-center text-center">
                                <app-feather-icons [icon]="'users'" class="font-danger"></app-feather-icons>
                            </div>
                        </div>
                        <div class="media-body col-8"><span class="m-0">Sellers</span>
                            <h3 class="mb-0"> <span class="counter" [CountTo]="count2" [from]="0"
                                    [duration]="2">{{count2}}</span><small> This Total</small></h3>
                        </div>
                    </div>
                </div>
            </div>
        </div>

        <div *ngIf="testRole=='VENDEUR'" class="col-xl-6 xl-100">
            <div class="card">
                <div class="card-header">
                    <h5>Latest Orders</h5>
                </div>
                <div class="card-body">
                    <div class="user-status table-responsive latest-order-table">
                        <table class="table table-bordernone">
                            <thead>
                                <tr>

                                    <th scope="col">Order Total</th>
                                    <th scope="col">Total</th>
                                    <th scope="col">Payment Method</th>
                                    <th scope="col">Status</th>
                                </tr>
                            </thead>
                            <tbody>
                                <tr *ngFor="let promo of ordes| slice:0:3;let i=index">
                                    <td>{{i+1}}</td>
                                    <td class="digits">{{promo?.total}} TND</td>
                                    <td class="class='badge badge-success'r">{{promo?.paiement?.modePaiement?.name}}</td>
                                    <td class="digits">{{promo.status}}</td>
                                </tr>
                                <tr>

                            </tbody>
                        </table>
                        <a [routerLink]="('/orders/orders')" class="btn btn-primary">View All Orders</a>
                    </div>
                </div>
            </div>
        </div>

        <div *ngIf="testRole=='ADMIN'"  class="col-xl-6 xl-100">
            <div class="card">
                <div class="card-header">
                    <h5>Latest Users</h5>
                </div>
                <div class="card-body">
                    <div class="user-status table-responsive latest-order-table">
                        <table class="table table-bordernone">
                            <thead>
                                <tr>

                                    <th scope="col">User Total</th>
                                    <th scope="col">First Name</th>
                                    <th scope="col">Last Name</th>
                                    <th scope="col">Email</th>
                                </tr>
                            </thead>
                            <tbody>
                                <tr *ngFor="let user of user | slice:0:5;let i=index ">
                                    <td>{{i+1}}</td>
                                    <td class="digits">{{user?.firstName}}</td>
                                    <td class="font-danger">{{user.lastName}}</td>
                                    <td class="digits">{{user?.email}}</td>
                                </tr>
                                <tr>

                            </tbody>
                        </table>
                        <a [routerLink]="('/users/list-user')" class="btn btn-primary">View All Users</a>
                    </div>
                </div>
            </div>
        </div>





        <div class="col-xl-6 xl-100">
            <div class="card height-equal">
                <div class="card-header">
                    <h5>Promotions Cart</h5>
                </div>
                <div class="card-body">

                    <table class="table table-bordernone mb-0">
                        <thead>
                            <tr>
                                <th>Image</th>
                                <th scope="col">Name Promo</th>
                                <th scope="col">Status</th>
                                <th scope="col">Price</th>
                            </tr>
                        </thead>
                        <tbody>
                            <tr *ngFor="let promo of listpromo | slice:0:5">
                                <td><img src="http://127.0.0.1:8887/{{promo?.img}}" alt="image" />
                                <td>{{promo?.description}}</td>
                                <td class="font-primary">{{promo?.status}}</td>
                                <td class="digits">{{promo?.price}} TND</td>
                            </tr>


                        </tbody>
                    </table>


                    <a [routerLink]="('/promotions/promotion-list')" class="btn btn-primary">View All Promotions</a>
                </div>

            </div>

        </div>
        <div class="col-xl-6 xl-100">
            <div class="card height-equal">


            </div>
        </div>
    </div>
</div>
<!-- Container-fluid Ends-->